Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)

From: [email-masked]
Date: Thu, 4 Dec 2003 13:28:59 +0200

Hi Pekka,

> >    For those IPv6 nodes that implement DHCP, those nodes 
> should use DHCP
> 
> Why do you keep using constructs like this?  Why not just:
> 
>      IPv6 nodes that implement DHCP should use DHCP [...]

Matter of taste.  If really bothers you, I can adjust the text.
 
> >    For those IPv6 Nodes (acting as hosts) that implement DHCP, those
> >    nodes should use DHCP upon the receipt of a Router Advertisement with
> >    the 'O' flag set (see section 5.5.3 of RFC2462) to obtain other 
> >    configuration.  In addition, in the absence of a router, hosts that implement 
> >    DHCP MUST attempt to use DHCP. 
> 
> Use DHCP for what?  both address config (if available) as well?

The text says:

	... to obtain other  configuration.

John

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Pekka Savola <[email-masked]>
Date: Thu, 4 Dec 2003 13:31:31 +0200 (EET)

> 	... to obtain other  configuration.

Yes, in the first sentence.  No, in the second.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings